uk.gov.hmrc.mongo

# AtomicUpdate

###
Related Doc: package mongo

#### trait AtomicUpdate[T] extends CurrentTime with BSONBuilderHelpers with MongoDb with CollectionName

Annotations
  @deprecated
Deprecated

  (Since version 7.0.0) Please use findAndUpdate method from ReactiveRepository instead

Linear Supertypes
CollectionName, MongoDb, BSONBuilderHelpers, CurrentTime, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AtomicUpdate
2. CollectionName
3. MongoDb
4. BSONBuilderHelpers
5. CurrentTime
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def collectionName: String

   Attributes
     protected[uk.gov.hmrc.mongo]
   Definition Classes
     CollectionName

2. #### abstract def isInsertion(newRecordId: BSONObjectID, oldRecord: T): Boolean

3. #### abstract def mongo: () ⇒ DB

   Attributes
     protected[uk.gov.hmrc.mongo]
   Definition Classes
     MongoDb

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def addToSet(value: BSONDocument): BSONDocument

   Definition Classes
     BSONBuilderHelpers

5. #### def and(search: BSONDocument*): BSONDocument

   Definition Classes
     BSONBuilderHelpers

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### def or(search: BSONDocument*): BSONDocument

    Definition Classes
      BSONBuilderHelpers

18. #### def set(value: BSONDocument): BSONDocument

    Definition Classes
      BSONBuilderHelpers

19. #### def setOnInsert(value: BSONDocument): BSONDocument

    Definition Classes
      BSONBuilderHelpers

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def toString(): String

    Definition Classes
      AnyRef → Any

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### def withCurrentTime[A](f: (DateTime) ⇒ A): A

    Definition Classes
      CurrentTime

26. #### lazy val zone: DateTimeZone

    Attributes
      protected
    Definition Classes
      CurrentTime

### Deprecated Value Members

1. #### def atomicSaveOrUpdate(finder: BSONDocument, modifierBson: BSONDocument, upsert: Boolean, idAttributeName: String = "_id")(implicit ec: ExecutionContext, reads: Reads[T]): Future[Option[DatabaseUpdate[T]]]

   finder

     The finder to find an existing record.

   modifierBson

     The modifier to be applied

   idAttributeName

     Optional value to override the default object Id for the collection. Atomics MUST have a record Id to store a BSONObjectId in order to understand if the update is an upsert or update.

   Annotations
     @deprecated
   Deprecated

     (Since version 4.3.0) use atomicUpsert or atomicUpdate instead

2. #### def atomicUpdate(finder: BSONDocument, modifierBson: BSONDocument, idAttributeName: String = "_id")(implicit ec: ExecutionContext, reads: Reads[T]): Future[Option[DatabaseUpdate[T]]]

   finder

     The finder to find an existing record.

   modifierBson

     The modifier to be applied

   idAttributeName

     Optional value to override the default object Id for the collection. Atomics MUST have a record Id to store a BSONObjectId in order to understand if the update is an upsert or update.

   Annotations
     @deprecated
   Deprecated

     (Since version 7.0.0) Please use findAndUpdate method from ReactiveRepository instead

3. #### def atomicUpsert(finder: BSONDocument, modifierBson: BSONDocument, idAttributeName: String = "_id")(implicit ec: ExecutionContext, reads: Reads[T]): Future[DatabaseUpdate[T]]

   finder

     The finder to find an existing record.

   modifierBson

     The modifier to be applied

   idAttributeName

     Optional value to override the default object Id for the collection. Atomics MUST have a record Id to store a BSONObjectId in order to understand if the update is an upsert or update.

   Annotations
     @deprecated
   Deprecated

     (Since version 7.0.0) Please use findAndUpdate method from ReactiveRepository instead

### Inherited from CollectionName

### Inherited from MongoDb

### Inherited from BSONBuilderHelpers

### Inherited from CurrentTime

### Inherited from AnyRef

### Inherited from Any

### Ungrouped